package logic

import (
	"context"

	"juwan-backend/app/users/rpc/internal/svc"
	"juwan-backend/app/users/rpc/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type SearchUserPreferencesLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSearchUserPreferencesLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SearchUserPreferencesLogic {
	return &SearchUserPreferencesLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *SearchUserPreferencesLogic) SearchUserPreferences(in *pb.SearchUserPreferencesReq) (*pb.SearchUserPreferencesResp, error) {
	// todo: add your logic here and delete this line

	return &pb.SearchUserPreferencesResp{}, nil
}
